# Values of p
p = seq(0,1, length=100)

# Beta density for alpha=100, beta=100
plot(p, dbeta(p, 100, 100), ylab="Density", 
 main= expression(paste("Beta density for different values of ", alpha, " and ", beta)),
type ="l", col=4, xlim=c(-.15,1))

# alpha=10, beta=10
lines(p, dbeta(p, 10, 10), type ="l", col=3)

# alpha=2, beta=2
lines(p, dbeta(p, 2, 2), col=2) 

# alpha=1, beta=1
lines(p, dbeta(p, 1, 1), col=1) 


legend("topleft", c("Beta(100,100)","Beta(10,10)","Beta(2,2)", "Beta(1,1)"),
lty=c(1,1,1,1),col=c(4,3,2,1), bty="n")
