library(coda)
# Generate 1000 values from a normal distribution
# with mean=2 and variance=4
set.seed(1342)
y<-rnorm(1000, 2, 2)


  # Hyperparmaeters for f(mu)
	sigma2.mu<-10
	m<-0

# Hyperparameters for f(sigma2)
	alpha<-0.1
      beta<-0.1


# We will run 3 chains for 1000 iterations each
it<-1000
chains<-3

mu<-array(0,c(it+1,chains))
sigma2<-array(1, c(it+1,chains))


for (j in 1:chains) {

for (i in 2:(it+1)) { 

sigma2[i,j]<-1/rgamma(1, length(y)/2+alpha, sum((y-mu[i-1,j])^2)/2+beta)

mu[i,j]<-rnorm(1, (mean(y)*length(y)*sigma2.mu+m*sigma2[i,j])/(length(y)*sigma2.mu+sigma2[i,j]),
		sqrt((sigma2[i,j]*sigma2.mu)/(length(y)*sigma2.mu+sigma2[i,j])))

print(paste("chain=", j, ", iteration=", i-1))

}
}


gelman.diag(mcmc.list(as.mcmc(mu[,1]), as.mcmc(mu[,2]), as.mcmc(mu[,3])))
gelman.diag(mcmc.list(as.mcmc(sigma2[,1]), as.mcmc(sigma2[,2]), as.mcmc(sigma2[,3])))
