
set.seed(13123)
ps<-rbeta(5000, 1498, 1519)

ps 

# Compute E(p) from these simulated values
mean(ps)

# ``Theoreticall'' E(p) 
1498/(1498+1519)

# Compute standard deviation from the simulated values 
sd(ps)

# ``Theoretical'' standard deviation
(1498*1519)/(((1498+1519)^2)*(1498+1519+1))

# Compute P(p>0.5) based on the simulated values 
mean(ps>0.5)

# ``Theoretical'' probability

1-pbeta(0.5, 1498, 1519)


# Estimacion del intervalo de credibilidad 95% basado en simulaciones
quantile(ps, c(0.025, 0.975))

# 95% credibility interval
qbeta(c(0.025, 0.975), 1498, 1519)

# Estimacion de la probabilidad P(0.3 < p < 0.5) basado en simulaciones
mean(ps>0.3 & ps<0.5)

# P(0.3 < p < 0.5) teorico
pbeta(0.5, 1498, 1519)- pbeta(0.3, 1498, 1519)



# Pero, mediante simulaciones, tambien es muy facil obtener funciones de p

# Ejemplo: Estimacion de la Esperanza de p^3 - la raiz cuadrada de p
# mediante simulaciones

 mean(ps^3 - sqrt(ps))

# No tengo idea de como computar esto analiticamente
# bueno, si, pero es muy complicado



