df<-read.csv("Logit.csv")

# 1= survive, 2=merge, 3=dissolve
y<-df$dependent.variable

X<-cbind(1,  df$covariate.1, df$covariate.2)
colnames(X)<-c("Intercept", "Covariate 1", "Covariate 2")

n<-nrow(X)


# To read and run the Logit model in R
library(mvtnorm)
source("LogitR.R")




# To read and run the Logit model in Rcpp
library(Rcpp)
library(RcppArmadillo)

Matrix.Outcome<-matrix(0, n, 2)
for (i in 1:2) Matrix.Outcome[y==i-1,i]<-1
Matrix.Cov.Beta<-100*diag(ncol(X))

sourceCpp("LogitRcpp.cpp")


# Compare how long each of them take
library(microbenchmark)

benchmark_result <- microbenchmark(
mcmc_logitR(y=matrix(y), 
X=as.matrix(X),
chains=3,
nsim=1000,
thin=1,
burn=200
 ),
mcmc_logit(y=matrix(y), 
X=as.matrix(X),
I_outcome=as.matrix(Matrix.Outcome),
Cov_Beta=as.matrix(Matrix.Cov.Beta),
betastart=matrix(0, ncol(X)),
densitybeta=rep(0,ncol(X)),
mcmc=1000,
burn=200,
thin=1,
chains=3
 )
)